Skip to main content
PATCH
Update AI chat session

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Session UUID

Body

application/vnd.api+json

At least one of title, pinned or archived is required

title
string | null

New title; blank or null resets to the generated title

pinned
boolean

Pin or unpin the session

archived
boolean

Archive (which also unpins) or unarchive the session

Response

updated session

id
string<uuid>
required

Session UUID

title
string
required

Session title (user-supplied, generated, or placeholder)

generated_title
string | null
required

Server-generated title, null when hidden behind the placeholder

pinned
boolean

Whether the session is pinned (returned by update)

pinned_at
string<date-time> | null

When the session was pinned (returned by update)

archived_at
string<date-time> | null

When the session was archived (returned by update)